org.apache.cayenne.access.jdbc

## Class BindEqualDirective

- java.lang.Object
- - org.apache.velocity.runtime.directive.Directive
  - - org.apache.cayenne.access.jdbc.BindDirective
    - - org.apache.cayenne.access.jdbc.BindEqualDirective

- All Implemented Interfaces:
    Cloneable, org.apache.velocity.runtime.directive.DirectiveConstants

      public class BindEqualDirective
      extends BindDirective

  A custom Velocity directive to create a PreparedStatement parameter text for "= ?". If null value is encountered, generated text will look like "IS NULL". Usage in Velocity template is "WHERE SOME_COLUMN #bindEqual($xyz)".
  Since:
    1.1

- - ### Field Summary

    - ### Fields inherited from class org.apache.velocity.runtime.directive.Directive

      `rsvc`

    - ### Fields inherited from interface org.apache.velocity.runtime.directive.DirectiveConstants

      `BLOCK, LINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BindEqualDirective()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `protected void` | `render(org.apache.velocity.context.InternalContextAdapter context, Writer writer, ParameterBinding binding)`

    - ### Methods inherited from class org.apache.cayenne.access.jdbc.BindDirective

      `bind, getChild, getType, render, render`

    - ### Methods inherited from class org.apache.velocity.runtime.directive.Directive

      `getColumn, getLine, getTemplateName, init, setLocation, setLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BindEqualDirective

          public BindEqualDirective()

  - ### Method Detail

    - #### getName

          public String getName()

      Overrides:
        `getName` in class `BindDirective`

    - #### render

          protected void render(org.apache.velocity.context.InternalContextAdapter context,
                    Writer writer,
                    ParameterBinding binding)
                         throws IOException

      Overrides:
        `render` in class `BindDirective`
      Throws:
        `IOException`

Copyright © 2001–2014 Apache Cayenne. All rights reserved.